> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a page collection

> Permanently deletes a page collection from your Domo instance.

<Danger>
**Warning**

This is destructive and cannot be reversed.
</Danger>




## OpenAPI

````yaml /openapi/platform/page.yaml DELETE /v1/pages/{page_id}/collections/{page_collection_id}
openapi: 3.1.0
info:
  title: Page API
  version: '1.0'
  description: >-
    ### The page object


    The page object is a screen where you can view a “collection” of data, which
    is typically displayed in cards. You use a page to organize, manage, and
    share content to other users in Domo. Pages allow you to send external
    reports, create holistic filters across all metrics within the page, or have
    conversations in Domo’s Buzz tool about the data associated to the entire
    page.  The Page API allows you to create, delete,  retrieve a page or a list
    of pages, and update page information and content within a page.


    #### Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | The name of the page

    id | string | The ID of the page

    parentId | integer | The ID of the page that is higher in organizational
    hierarchy 

    owners | array | List of IDs of page owners

    locked | boolean | Determines whether users (besides the page owner) can
    make updates to page or its content - the default value is false

    collectionIds | array | The IDs of collections within a page

    cardIds | array | The ID of all cards contained within the page

    children | object | All pages that are considered "sub pages" in
    organizational hierarchy

    visibility | object | Determines the access given to both individual users
    or groups within Domo

    userIds | array | The IDs of users with access to the page

    groupIds | array | The IDs of groups with access to the page
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/pages/{page_id}/collections/{page_collection_id}:
    parameters:
      - schema:
          type: integer
        name: page_id
        in: path
        required: true
      - schema:
          type: integer
        name: page_collection_id
        in: path
        required: true
    delete:
      summary: Delete a page collection
      description: |
        Permanently deletes a page collection from your Domo instance.

        <Danger>
        **Warning**

        This is destructive and cannot be reversed.
        </Danger>
      operationId: delete-v1-pages-page_id-collections
      responses:
        '204':
          description: >
            Returns the parameter of success or error based on the page
            collection ID being valid.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````